<?php
/*------------------------------------------------------------------------------
     The contents of this file are subject to the Mozilla Public License
     Version 1.1 (the "License"); you may not use this file except in
     compliance with the License. You may obtain a copy of the License at
     http://www.mozilla.org/MPL/

     Software distributed under the License is distributed on an "AS IS"
     basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
     License for the specific language governing rights and limitations
     under the License.

     The Original Code is header.php, released on 2003-02-07.

     The Initial Developer of the Original Code is The QuiX project.

     Alternatively, the contents of this file may be used under the terms
     of the GNU General Public License Version 2 or later (the "GPL"), in
     which case the provisions of the GPL are applicable instead of
     those above. If you wish to allow use of your version of this file only
     under the terms of the GPL and not to allow others to use
     your version of this file under the MPL, indicate your decision by
     deleting  the provisions above and replace  them with the notice and
     other provisions required by the GPL.  If you do not delete
     the provisions above, a recipient may use your version of this file
     under either the MPL or the GPL."
------------------------------------------------------------------------------*/
/*------------------------------------------------------------------------------
Author: The QuiX project
	quix@free.fr
	http://www.quix.tk
	http://quixplorer.sourceforge.net

Comment:
	QuiXplorer Version 2.3
	Header File
	
	Have Fun...
-------------------------------------------------------------------------------*/
//------------------------------------------------------------------------------
function change_lang($uri,$newlang)
{
        $expreg="lang=[a-z]*";
        $newexpreg="lang=$newlang";
        if (ereg($expreg,$uri))
	{
// No consigo hacer funcionar el ereg_replace, as que lo hago
// de otra forma
//                $new_uri=ereg_replace($expreg,$newexpreg,$uri);
		$elem=split($expreg,$uri);
		$newuri=$elem[0].$newexpreg.$elem[1];
	}
        elseif (ereg("\?",$uri))        // Ya hay cadena de busqueda
	{        
        	$newuri=$uri."&$newexpreg";
	}
        else // No hay cadena de busqueda
	{
                $newuri=$GLOBALS["__SERVER"]["PHP_SELF"]."?$newexpreg";
	}
        return $newuri;
}

function print_langs($uri)
{
	$langs=split("/",$GLOBALS["availablelanguages"]);
	while (count($langs) > 0)
	{
		$mylang=array_pop($langs);
		if ($mylang=="") continue;
		if ($mylang != $GLOBALS["language"])
		{
			$text.= "<a href=\"".change_lang($uri,$mylang)."\"><img border=\"0\"";
			$text.= " src=\"_img/index_".$mylang.".gif\"></a>\n";
		}
		else 
		{
			$text.= "<img border=\"0\" src=\"_img/index_d".$mylang.".gif\">\n";
		}
	}
	return $text;
}


function show_header($title) {			// header for html-page

	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-cache, must-revalidate");
	header("Pragma: no-cache");
	header("Content-Type: text/html; charset=".$GLOBALS["charset"]);
	
	//echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\"";
	//echo "\"http://www.w3.org/TR/REC-html40/loose.dtd\">\n";
	echo "<HTML lang=\"".$GLOBALS["language"]."\" dir=\"".$GLOBALS["text_dir"]."\">\n";
	echo "<HEAD>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$GLOBALS["charset"]."\">\n";
        if (($GLOBALS["action"] == "") || ($GLOBALS["action"] == "list"))
                echo "<meta http-equiv=\"Refresh\" content=\"600\">\n";
	echo "<title>UCO Consigna - Universidad de Cordoba</title>\n";
	echo "<LINK href=\"_style/style.css\" rel=\"stylesheet\" type=\"text/css\">\n";
	echo "</HEAD>\n<BODY>";
	

echo "<table width='100%' border='0'>";
echo "<tr><td width='30%'>";
echo "<img src=http://www.uco.es/img/logo/uco.gif>";
echo "</td><td width='70%' align='rigth'>";
echo "<div align='right' valign='center'>";
if( $GLOBALS['__SESSION']["creds"]) {
  echo $GLOBALS['__SESSION']["creds"];
  if( $_SERVER["HTTP_SHIB_PERSON_COMMONNAME"]) {
    echo "&nbsp;(" .  $_SERVER["HTTP_SHIB_PERSON_COMMONNAME"] . ")&nbsp;";
    echo "<a href=\"".make_link("logout","")."\">Logout</a>";
  }
} else {
  echo "<a href=\"".make_link("auth_fed","")."\">Login</a>";
}
echo "</div>";
echo "</td></tr>";
echo "</table>";
	
	echo '<center><table border="0" width="100%" cellspacing="0" cellpadding="5"><tbody>';
	echo '<tr>';
	echo "<td align=\"center\"><p class=\"title2\"><a href=\"http://www.uco.es/consigna\">UCO Consigna</a></p></td>";
	echo "<td>";
	if (($GLOBALS["action"] == "") || ($GLOBALS["action"] == "list"))
		echo print_langs($GLOBALS["__SERVER"]["REQUEST_URI"]);
	echo "</td></tr>";
	echo "<tr><td class=\"title\">";
	if($GLOBALS["require_login"] && isset($GLOBALS['__SESSION']["s_user"])) echo "[".$GLOBALS['__SESSION']["s_user"]."] - ";
	echo $title."</td>";
	echo "<td colspan=\"2\" class=\"title\" align=\"right\">";
        echo "[Tamao mximo de ficheros a subir: 400Mb   Caducidad de los ficheros: 7 das] &nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"manual.htm\">Manual de uso</a></td>\n";
	echo "</tr></tbody></table>\n\n";

//	echo '<p><div id="warning"><strong>Atencin</strong>: El sistema de consigna est dirigido exclusivamente para aquellas personas de la Universidad de Sevilla que necesiten enviar o recibir un fichero adjuntado a un email y que por sus caractersticas (tamao, formato, etc) no puedan hacerlo. Este sistema slo debe ser usado entre remitente y destinatario y no debe ser usado en listas de distribucin, foros, etc. </div> </p>';
}
//------------------------------------------------------------------------------
?>
